CorebanqCorebanq Developer Docs
Usersv1Registration

List Users by Role Name

GET
/v1/users/by-role-name/{role_name}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

role_name*string

Name of the role, matched as given.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/by-role-name/string"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "created_at": "2019-08-24T14:15:22Z",
    "modified_at": "2019-08-24T14:15:22Z",
    "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
    "active": true,
    "name": "string",
    "description": "string",
    "registration_status": "string",
    "context_id": "f31d7249-b7b1-4729-b3a4-ec0ba07b4686",
    "context_type": "string",
    "lang": "string",
    "mfa_mode": "off",
    "totp_enabled": true,
    "totp_setup_at": "2019-08-24T14:15:22Z",
    "totp_last_used_at": "2019-08-24T14:15:22Z",
    "totp_backup_codes_generated_at": "2019-08-24T14:15:22Z",
    "credentials": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
        "type": "email",
        "value": "string",
        "validated": true,
        "preferred": true,
        "active": true,
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
        "modified_at": "2019-08-24T14:15:22Z",
        "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f"
      }
    ]
  }
]
{
  "status": 401,
  "message": "Unauthorized",
  "code": "common.unauthorized",
  "class": "business"
}
{
  "status": 403,
  "message": "No access to the record",
  "code": "common.rbac_no_rec_access",
  "class": "business"
}

{
  "status": 429,
  "message": "Rate limit for 203.0.113.10 to 456e1234-e89b-12d3-a456-426614174111 exceeded.",
  "code": "rate_limits_m.exceeded",
  "class": "temporary",
  "retryable": true
}

{
  "status": 500,
  "message": "Internal server error",
  "code": "common.server_error",
  "class": "business"
}

{
  "overall_status": "unhealthy",
  "message": "Service is shutting down",
  "timestamp": "2026-08-27T15:04:05Z"
}